#
# spec file for package vifm-colors
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vifm-colors
Version:        0.13
Release:        1.4
Summary:        Color themes for vifm
License:        GPL-2.0-only
Group:          System/GUI/Other
URL:            https://github.com/vifm/%{name}/
Source:         https://github.com/vifm/%{name}/archive/v%{version}.tar.gz
#only since 0.8 global color themes are supported
Requires:       vifm >= 0.8
BuildArch:      noarch

%description
Color themes for vifm file manager.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/vifm/colors
cp *.vifm %{buildroot}%{_sysconfdir}/vifm/colors/
chmod 644 %{buildroot}%{_sysconfdir}/vifm/colors/*

%files
%dir %{_sysconfdir}/vifm/
%dir %{_sysconfdir}/vifm/colors/
%config %{_sysconfdir}/vifm/colors/*

%changelog
* Wed Dec 20 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.13:
  * Add new color scheme: truedark
  * Add new color scheme: afterglow
  * Fix invalid cterm=default in astrell.vifm
* Sun Sep 18 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.12:
  * Add new color scheme: ansa
  * Add new color scheme: monochrome
  * Add new color scheme: crown_24bit
  * Add new color scheme: nord
  * Add new color scheme: fargo
  * Add new color scheme: paper
* Thu Jul  8 2021 Michael Vetter <mvetter@suse.com>
- Update to 0.11:
  * Add new color scheme: sandy
  * Update mc-like color theme
  * Add PaperColor light/dark
  * Update solarized-dark theme
* Thu Sep 24 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.10:
  * Add new color scheme: dwmlight (Thanks satsaeid)
  * Add new color scheme: solorized-light (Thanks ayroblu)
  * Add new color scheme: palenight (Thanks mroavi)
  * Add new color scheme: onedark (Thanks mroavi)
  * Add new color scheme: gruvbox (Thanks laur89)
  * Add new color scheme: iceberg (Thanks puven12)
  * Add new color scheme: dracula (Thanks EgZvor)
  * Add new color scheme: molokai (Thanks mimadrid)
  * Add missing :highlight clear to:
  - lucius
  - reicheltd-light
* Mon Jun 19 2017 mvetter@suse.com
- Update to version 0.9:
  * Add new color scheme: lucius (Thanks francogonzaga)
  * Add new color scheme: SemiDarkDesert (Thanks clausED)
  * Add new color scheme: near-default (Thanks xaizek)
  * Clean up info in README
* Tue Aug 23 2016 mvetter@suse.com
- Update to version 0.8.2:
  * Add GPL-2 license file
  * Add new color scheme: ph (Thanks pihao)
  * Add new color scheme: reicheltd-light (Thanks reicheltd)
* Fri Jul  1 2016 toddrme2178@gmail.com
- Make Group tag consistent with other packages.
* Fri Aug 14 2015 mvetter@suse.com
- Creating package for version 0.8
